.footer-wrapper {
    background-color: #030C1A;
    padding: 20px 0;
    height: auto;
}

.footer-top-area {
    height: auto;
}

.footer-top-content {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between; 
    align-items: center;
    margin: 0 auto;
    padding: 0 10px;
    box-sizing: border-box;
}

.footer-top-unit {
    flex: 1; 
    display: flex;
    align-items: center;
    margin: 10px;
    position: relative;
    min-width: 150px; 
}

.footer-top-unit::before {
    content: "";
    width: 1px;
    height: 30px;
    background-color: #87CEFA;
    display: inline-block;
    margin-right: 10px;
    vertical-align: middle;
    box-shadow: 0 0 15px #87CEFA;
}

.footer-top-unit:first-child::before {
    content: none;
}

.footer-top-unit img {
    width: 32px;
    height: 32px;
    margin-right: 12px;
}

.footer-top-unit div {
    font-size: 14px;
    color: #F3F3F3;
}

.footer-body-area {
    display: flex;
    justify-content: space-between;
    padding: 0 20px;
    flex-wrap: wrap;
    position: relative;
}

.footer-body-left {
    margin-top: 20px;
    flex: 1;
    min-width: 300px;
}

.footer-logo-img {
    width: auto;
    height: auto;
}

.footer-contact-detail {
    display: flex;
    align-items: center;
    margin-top: 24px;
}

.footer-contact-detail div:first-child {
    font-size: 14px;
    font-weight: 400;
    margin-right: 22px;
    color: #949799;
}

.footer-contact-detail div:last-child {
    font-size: 28px;
    font-weight: bold;
    color: #fff;
}

.footer-contact-detail:nth-child(3) div:last-child {
    font-size: 14px;
    font-weight: 400;
}

.footer-body-right {
    display: flex;
    margin-top: 20px;
    flex: 1;
    min-width: 300px;
    justify-content: flex-start;
    align-items: flex-start;
    position: relative; 
}

.footer-qr-code-box {
    position: absolute; 
    right: 0; 
    top: 40px; /* 调整这个值可以改变往下移动的距离 */
}

.footer-news-section {
    position: absolute; 
    left: 0; 
    top: 0;
    margin-bottom: 20px;
    text-align: left;
}

.footer-news-section > div:first-child {
    font-size: 14px;
    margin-top: 16px;
    font-weight: 400;
    color: #949799;
}

.footer-news-item {
    cursor: pointer;
    color: white;
    margin-top: 10px;
}

.footer-qr-code-box img {
    width: 128px;
    height: 128px;
}

.footer-qr-code-box div {
    color: #CACBCC;
    font-size: 14px;
    font-weight: 400;
    margin-top: 8px;
}

.footer-bottom-border-line {
    width: 100%;
    border-top: 1px solid rgba(68, 77, 89, 0.3);
    border-bottom: 1px solid rgba(68, 77, 89, 0.3);
    margin-top: 20px;
}

.footer-bottom-link-list {
    width: 100%;
    margin: 0 auto;
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start;
    padding: 10px 20px;
    box-sizing: border-box;
}

.footer-bottom-link {
    margin: 10px;
    color: white;
    text-decoration: none;
    cursor: pointer;
}

.footer-bottom-link.disabled {
    cursor: auto;
}

.footer-notice-text {
    text-align: center;
    margin-top: 32px;
    color: #949799;
    font-size: 14px;
    font-weight: 400;
    padding: 0 10px;
}

.footer-notice-text a {
    color: #0069FF;
    text-decoration: none;
}

.footer-copyright-text {
    text-align: center;
    margin-top: 20px;
    color: #949799;
    font-size: 14px;
    font-weight: 400;
    padding: 0 10px;
}

.footer-copyright-text a {
    color: #949799;
    text-decoration: none;
}

/* 手机端适配 */
@media (max-width: 768px) {
    .footer-top-content {
        justify-content: flex-start;
    }

    .footer-body-right {
        margin-right: 0;
        align-items: flex-start;
        flex-direction: column;
        position: static;
    }

    .footer-news-section {
        position: static;
        margin-right: 0;
    }

    .footer-top-unit::before {
        display: none;
    }

    .footer-body-left,
    .footer-body-right {
        flex: auto;
    }

    .footer-qr-code-box {
        margin-bottom: 20px;
        position: static;
    }
}